@font-face {
  font-family: Roboto;
  src: local("Roboto"), url("../fonts/Roboto-Regular.ttf") format("truetype");
}

/*v CSS pouzivaj vseobecne jednotky velkosti v rem, a nie v px, aby sa text pekne prisposobil, aby sa dizajn nerozsypal*/

@font-face {
  font-family: "Material Icons";
  font-style: normal;
  font-weight: 400;
  src: local("Material Icons"), local("MaterialIcons-Regular"),
    url("../fonts/MaterialIconsOutlined-Regular.otf") format("opentype"); /*vsetky ikonkty mame stiahnute vo fonts*/
}

:root {
  font-size: 62, 5%; /*pre koren root som nastavil velkost pisma 62,5%, cize zo 100% som znizil na 62,5% , tym padom je  1 rem = nie 16px, ale 10px */
  --velkost-pisma: 2rem; /*toto je premenna v css*/
  --vyska-hlavicky: 6rem;
  --vyska-navigacie: 6rem;
}

/*nastavujeme vyzor ikoniek*/
.material-icons-outlined {
  font-family: "Material Icons";
  font-weight: normal;
  font-style: normal;
  font-size: 1rem;
  font-size: 24px;
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;
  -webkit-font-smoothing: antialiased;
  text-rendering: optimizeLegibility;
  -moz-osx-font-smoothing: grayscale;
  font-feature-settings: "liga";
}

.container {
  height: 100%;
  width: 80rem;
  margin: 0 auto; /*zhora zdola 0, zlava sprava auto*/
}

.flexbox {
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 2rem;
}

body {
  margin: 0;
  font-family: Roboto;
  font-size: 1.6rem;
}

body > header {
  box-sizing: border-box;
  height: var(--vyska-hlavicky);
  background-color: darkslateblue;
  position: fixed; /*hlavicka hore zostava fixna pri scroolovani*/
  top: 0;
  left: 0;
  width: 100%;
  padding: 1rem 0;
  z-index: 9999;
}

body > header img {
  height: calc(var(--vyska-hlavicky) - 2rem);
}

body > header h1 {
  margin: 0;
  font-size: calc(var(--vyska-hlavicky) - 2rem);
  color: white;
}

body > nav {
  box-sizing: border-box;
  height: var(--vyska-navigacie);
  background-color: darkslateblue;
  position: fixed;
  width: 100%;
  top: var(--vyska-hlavicky);
  left: 0;
  box-shadow: 0 0.6rem 0.6rem #00000080; /*tien navigacie zo spodu*/
  padding: 1rem 0;
  z-index: 9999;
}

/*ak nastavujem height alebo width, ze 100%, stale to vypocitava z nadradenej znacky !!!*/
/*blokove znacky predvolene maju 0 na vysku
- ak dam 100%, a nadradena ma 0, tak aj moja znacka bude mat 0
ak nemam sirku al velkost zadefinovanu, blokove znacky sa prisposobuju vnorenemu obsahu,
 ale ak znacka ma definovanu velkost, tak vnorena znacka sa prisposobi svojej nadradenej znacke
 blokove znacky: html, body, nav, div, ul, li... 
*/

body > nav ul {
  height: 100%;
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex; /*li cka som umiestnil vedla seba v navigacii*/
  justify-content: space-between; /* medzi li-ckami som urobil medzery*/
}

body > nav li {
  width: 25%;
}

body > nav a {
  height: 100%;
  color: white;
  text-decoration: none;
  font-size: var(
    --velkost-pisma
  ); /* 1 rem = predvolena velkost pisma prehliadaca, 1 rem = 16px */
  display: flex;
  align-items: center;
  justify-content: center;
}

body > nav a .material-icons-outlined {
  font-size: var(--velkost-pisma);
}

body > nav li.active a,
body > nav a:hover {
  color: darkslateblue;
  background-color: white;
  border-radius: 0.5rem;
}

body > .container > main {
  margin-top: calc(var(--vyska-hlavicky) + var(--vyska-navigacie) + 2rem);
}

body > .container > footer {
  height: 30px;
  background-color: coral;
  margin-bottom: 20px;
}

main.sluzby {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
}

main.sluzby article {
  flex: 1 22rem;
  box-sizing: border-box;
  box-shadow: 0 0 0.5rem #00000080;
  padding: 0.6rem;
  position: relative;
}

main.sluzby article h2 {
  margin: 0;
  font-size: 1.8rem;
  text-align: center;
}

main.sluzby article figure {
  margin: 1rem 0.6rem 2.9rem;
}

main.sluzby article img {
  width: 100%;
}

main.sluzby article figcaption {
  height: 7.8rem;
  overflow: hidden;
  text-overflow: ellipsis;
  margin-bottom: 2.9rem;
}

main.sluzby article h3 {
  margin: 0;
  color: red;
  position: absolute;
  right: 0.6rem;
  bottom: 0.6rem;
}

main.sluzby .zlava {
  height: 5rem;
  width: 5rem;
  background-color: gold;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  position: absolute;
  top: -2.5rem;
  left: -2.5rem;
}

main.kontakt iframe {
  box-sizing: border-box;
  padding: 1 rem; /*ak je jedna hodnota, je to dookola, ak dve - prva hore dole, druha zlava sprava*/
  text-align: center;
}

main.kontakt {
  box-sizing: border-box;
  padding: 1rem;
  text-align: center;
}

main.galeria {
  padding: 1rem;
  text-align: center;
  font-size: 0; /*obrazky sa nalepia na seba, ziadne medzery*/
}

main.galeria img {
  width: 35rem;
  border: 1px solid black;
  padding: 0.6rem;
  margin: 0.6rem;
}
